
package require gdi
package require printer
proc testmapoffset { hdc } {
  set text "Fourscore and seven years ago, our forefathers brought forth on this continent a new nation."
  printer page start
  gdi text $hdc 100 40 -anchor nw -text "Testing gdi map command offset behavior" -font "Helvetica 10"
  set hgt 0
  for { set i 100 } { $i < 2000 } { incr i 200 } {
    for { set j 100 } { $j < 2000 } { incr j $hgt } {
      gdi map $hdc -offset [ list $i $j ]
      set siz [ format "(%4d,%4d): " $i $j ]
      set hgt [ gdi text $hdc 10 10 -text $siz$text -anchor nw -width 180 -font "Helvetica 8" ]
      ibox $hdc 10 10 190 [ expr 10 + $hgt ] 0
      incr hgt 10
      gdi map $hdc -offset [ list -$i -$j ]
    }
  }
  printer page end
}
wm withdraw .
set hdc [printer dialog select]
if { [llength $hdc] > 1 && [lindex $hdc 1] == 0 } {
  error "User abort"
}
set hdc [ lindex $hdc 0]
printer job start
printer page start
set c [list 200 200 200 200 \
	   600 200 600 200 \
           700 300 700 500 \
	   600 600 600 600 \
	   200 600 200 600]
eval gdi polygon $hdc $c -fill red -outline blue -smooth 1 -width 1
set c [list 200 800 800 1400]
eval gdi arc $hdc $c -extent 180 -fill red -outline "red" \
 	                -start -90 -style arc -width 0
printer page end
printer job end
exit
